{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('home') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.products') }}">Products</a></li>
        <li class="breadcrumb-item active">Create</li>
    </ol>
{% endblock %}

{% block body %}

    <div class="card">
        <div class="card-body">

            {{ form_start(form) }}
            {{ form_widget(form) }}
            <button type="submit" class="btn btn-primary">Create</button>
            {{ form_end(form) }}

        </div>
    </div>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
{% endblock %}

{% block javascripts %}
    <script>
        let $category = $('#form_category');
        $category.change(function() {
            let $form = $(this).closest('form');
            let data = {};
            data[$category.attr('name')] = $category.val();
            $.ajax({
                url : $form.attr('action'),
                type: $form.attr('method'),
                data : data,
                success: function(html) {
                    $('#form_subcategory').replaceWith(
                        $(html).find('#form_subcategory')
                    );
                }
            });
        });
    </script>
{% endblock %}